using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;

namespace MyRealDWG
{
    [RunInstaller(true)]
    public partial class MyInstaller : Installer
    {
        public MyInstaller()
        {
            InitializeComponent();
        }


        /// <summary>
        /// Called when the setup's Install is running 
        /// </summary>
        public override void Install(
            System.Collections.IDictionary stateSaver)
        {
            base.Install(stateSaver);
            System.Windows.Forms.MessageBox.Show("Install is running");
        }

        /// <summary>
        /// Called when the setup's Uninstall is running 
        /// </summary>
        public override void Uninstall(
            System.Collections.IDictionary savedState)
        {
            base.Uninstall(savedState);
            System.Windows.Forms.MessageBox.Show("Uninstall is running");
        }
    }
}